Bug 1339613 - /api/v2/hosts/:id does not expose content_source_id
Summary: /api/v2/hosts/:id does not expose content_source_id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.0
Hardware: All
OS: Linux
high
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On: 1316897
Blocks: 1122832 GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker 1390153 1405520
TreeView+ depends on / blocked
 
Reported: 2016-05-25 12:50 UTC by Julio Entrena Perez
Modified: 2021-03-11 14:34 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1390153 1488130 (view as bug list)
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:
rplevka: needinfo-


Attachments (Terms of Use)
GET /api/v2/hosts/3 (3.60 KB, text/plain)
2016-10-31 10:49 UTC, Roman Plevka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15697 0 Normal Closed /api/v2/hosts/:id does not expose content_source_id 2020-09-15 12:22:25 UTC
Red Hat Knowledge Base (Solution) 2763741 0 None None None 2016-11-13 19:16:56 UTC

Description Julio Entrena Perez 2016-05-25 12:50:21 UTC
Description of problem:
GET or PUT /api/v2/hosts/:id does not return content_source_id field

Version-Release number of selected component (if applicable):
sat62 public beta

How reproducible:
Always

Steps to Reproduce:
1. Issue a HTTP GET or PUT to /api/v2/hosts/:id
2. Check the returned json
3.

Actual results:
content_source_id is missing

Expected results:
content_source_id is present

Additional info:
Modifying content_source_id with a PUT call seems to work, but the current value of content_source_id can not be queried

Comment 3 Amit Karsale 2016-07-22 19:48:40 UTC
this issue is been addressed and fixed. 

Pull Request: https://github.com/Katello/katello/pull/6189

can change the state of the BZ accordingly.

Comment 5 Peter Vreman 2016-08-31 10:49:41 UTC
Additional add also the name of the capsule "content_source_name" to be consistent.

Comment 10 Roman Plevka 2016-10-31 10:48:36 UTC
VERIFIED
on satellite-6.3.0-1.0.git.7.fb12bf2.el7sat.noarch

the `content_source_id` parameter is now being returned. (see attachment)

I'm also removing 6.2.z flag as I'm cloning a standalone BZ for 6.2:
https://bugzilla.redhat.com/show_bug.cgi?id=1390153

Comment 11 Roman Plevka 2016-10-31 10:49:24 UTC
Created attachment 1215749 [details]
GET /api/v2/hosts/3

Comment 12 Maxim Burgerhout 2017-01-20 12:14:44 UTC
I see this is fixed for GET, but how about PUT?

Comment 13 Peter Vreman 2017-01-30 14:03:06 UTC
The content_source_name is still missing in the errata of https://bugzilla.redhat.com/show_bug.cgi?id=1390153

Comment 18 Djebran Lezzoum 2017-10-09 15:26:03 UTC
qe_test_coverage PR : https://github.com/SatelliteQE/robottelo/pull/5307

Comment 20 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.